> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Collection



## OpenAPI

````yaml /api-reference/openapi/lite.json put /collections/{collection_id}
openapi: 3.1.0
info:
  title: Depict Lite API
  version: 1.0.0
  description: >-
    REST API behind Depict Lite, the native Shopify app: onboarding,
    collections, boost & bury, dashboards, A/B testing and multi-store
    management. Endpoints are served under the /api/lite prefix and require an
    Auth0-issued bearer token.
servers:
  - url: /api/lite
security: []
paths:
  /collections/{collection_id}:
    put:
      summary: Update Collection
      operationId: update_collection_collections__collection_id__put
      parameters:
        - name: collection_id
          in: path
          required: true
          schema:
            type: string
            title: Collection Id
        - name: merchant_id
          in: query
          required: true
          schema:
            type: string
            title: Merchant Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LiteCollectionUpdateInput'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: string
                format: uuid
                title: Response Update Collection Collections  Collection Id  Put
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Auth0: []
components:
  schemas:
    LiteCollectionUpdateInput:
      properties:
        sort_order:
          $ref: '#/components/schemas/LiteCollectionSortOrder'
        pinned_main_product_ids:
          items:
            type: string
          type: array
          title: Pinned Main Product Ids
        collection_boost_rules:
          items:
            oneOf:
              - $ref: '#/components/schemas/BadgeBoostBuryRule'
              - $ref: '#/components/schemas/CollectionBoostBuryRule'
              - $ref: '#/components/schemas/TagBoostBuryRule'
            discriminator:
              propertyName: type
              mapping:
                badge:
                  $ref: '#/components/schemas/BadgeBoostBuryRule'
                collection:
                  $ref: '#/components/schemas/CollectionBoostBuryRule'
                tag:
                  $ref: '#/components/schemas/TagBoostBuryRule'
          type: array
          title: Collection Boost Rules
        version:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Version
        main:
          type: boolean
          title: Main
        use_collection_specific_boost_bury:
          type: boolean
          title: Use Collection Specific Boost Bury
        unpin_oos:
          type: boolean
          title: Unpin Oos
      type: object
      required:
        - sort_order
        - pinned_main_product_ids
        - collection_boost_rules
        - version
        - main
        - use_collection_specific_boost_bury
        - unpin_oos
      title: LiteCollectionUpdateInput
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LiteCollectionSortOrder:
      type: string
      enum:
        - ALPHA_ASC
        - ALPHA_DESC
        - BEST_SELLING
        - TRENDING
        - CREATED
        - CREATED_DESC
        - PRICE_ASC
        - PRICE_DESC
        - STOCK_DESC
        - CLICKS_DESC
        - MANUAL
      title: LiteCollectionSortOrder
    BadgeBoostBuryRule:
      properties:
        strength:
          type: integer
          title: Strength
        type:
          type: string
          enum:
            - badge
          const: badge
          title: Type
          default: badge
        badge:
          $ref: '#/components/schemas/ProductBadgeType'
      type: object
      required:
        - strength
        - badge
      title: BadgeBoostBuryRule
    CollectionBoostBuryRule:
      properties:
        strength:
          type: integer
          title: Strength
        type:
          type: string
          enum:
            - collection
          const: collection
          title: Type
          default: collection
        collection_id:
          type: string
          title: Collection Id
      type: object
      required:
        - strength
        - collection_id
      title: CollectionBoostBuryRule
    TagBoostBuryRule:
      properties:
        strength:
          type: integer
          title: Strength
        type:
          type: string
          enum:
            - tag
          const: tag
          title: Type
          default: tag
        tags:
          items:
            type: string
          type: array
          title: Tags
      type: object
      required:
        - strength
        - tags
      title: TagBoostBuryRule
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ProductBadgeType:
      type: string
      enum:
        - on_sale
        - out_of_stock
        - new_in
        - bestseller
        - slow_mover
        - few_variants_available
        - trending
      title: ProductBadgeType
  securitySchemes:
    Auth0:
      type: oauth2
      flows:
        authorizationCode:
          scopes:
            openid: OpenID Connect
            profile: User profile
            email: User email
          authorizationUrl: https://depict.eu.auth0.com/oauth/authorize
          tokenUrl: https://depict.eu.auth0.com/oauth/token
      x-tokenName: id_token

````